Package ghidra.trace.database

# Class DBTraceUtils.AddressRangeMapSetter<E,V>

java.lang.Object
generic.RangeMapSetter<E,Address,AddressRange,V>
ghidra.trace.database.DBTraceUtils.AddressRangeMapSetter<E,V>

Type Parameters:
  `E` - the type of entry
  `V` - the type of value

Enclosing class:
  `DBTraceUtils`

public abstract static class DBTraceUtils.AddressRangeMapSetter<E,V> extends RangeMapSetter<E,Address,AddressRange,V>
A setter which works on ranges of addresses

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressRangeMapSetter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `compare(Address d1, Address d2)`
  Compare two values as in `Comparator.compare(Object, Object)`
  `protected Address`
  `getLower(AddressRange range)`
  Get the lower bound of the range
  `protected Address`
  `getNext(Address d)`
  Get the number immediately following the given bound
  `protected Address`
  `getPrevious(Address d)`
  Get the number immediately preceding the given bound
  `protected Address`
  `getUpper(AddressRange range)`
  Get the upper bound of the range
  `protected AddressRange`
  `toSpan(Address lower, Address upper)`
  Create a closed range with the given bounds

  ### Methods inherited from class generic.RangeMapSetter

  `connects, getIntersecting, getNextOrSame, getPreviousOrSame, getRange, getValue, put, remove, set, set, valuesEqual`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressRangeMapSetter

    public AddressRangeMapSetter()

- ## Method Details

  - ### compare

    protected int compare(Address d1, Address d2)
    Description copied from class: `RangeMapSetter`
    Compare two values as in `Comparator.compare(Object, Object)`
    Specified by:
      `compare` in class `RangeMapSetter<E,Address,AddressRange,V>`
    Parameters:
      `d1` - the first value
      `d2` - the second value
    Returns:
      the result

  - ### getLower

    protected Address getLower(AddressRange range)
    Description copied from class: `RangeMapSetter`
    Get the lower bound of the range
    Specified by:
      `getLower` in class `RangeMapSetter<E,Address,AddressRange,V>`
    Parameters:
      `range` - the range
    Returns:
      the lower bound

  - ### getUpper

    protected Address getUpper(AddressRange range)
    Description copied from class: `RangeMapSetter`
    Get the upper bound of the range
    Specified by:
      `getUpper` in class `RangeMapSetter<E,Address,AddressRange,V>`
    Parameters:
      `range` - the range
    Returns:
      the upper bound

  - ### toSpan

    protected AddressRange toSpan(Address lower, Address upper)
    Description copied from class: `RangeMapSetter`
    Create a closed range with the given bounds
    Specified by:
      `toSpan` in class `RangeMapSetter<E,Address,AddressRange,V>`
    Parameters:
      `lower` - the lower bound
      `upper` - the upper bound
    Returns:
      the range

  - ### getPrevious

    protected Address getPrevious(Address d)
    Description copied from class: `RangeMapSetter`
    Get the number immediately preceding the given bound
    Specified by:
      `getPrevious` in class `RangeMapSetter<E,Address,AddressRange,V>`
    Parameters:
      `d` - the bound
    Returns:
      the previous bound, or null if it doesn't exist

  - ### getNext

    protected Address getNext(Address d)
    Description copied from class: `RangeMapSetter`
    Get the number immediately following the given bound
    Specified by:
      `getNext` in class `RangeMapSetter<E,Address,AddressRange,V>`
    Parameters:
      `d` - the bound
    Returns:
      the next bound, or null if it doesn't exist